Subject: Ticket Assigned - My order
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 15 Jun 2021 11:11:21 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My order  I am extremely upset about your delivery process and I never asked to return the item . I got the driver call me once and when trying organize the delivery he said he is busy for the next 2 days and then he has a day off . We agreed he come Sunday morning and did not receive one phone call and nothing . I was calling everyday after my items and every time I was promised someone will get back to me within 24 hours . Nobody called and this was going on for a week to the point I was very upset . Everyday I got a message my item could not be delivered but I never got a call from the delivery people . I can show my phone records . Then 2 days ago when I was calling and chasing again I was told my delivery was returned back to warehouse . Unbelievable. It was the skirt I really wanted and now it does not show in the stock . I was going to order it again . I will do couple of google reviews to warn people never to order from your company . It’s a disgrace ! And I want my skirt . I don’t care how you are going to get it to me ! 

I live next to your headquarters of landmark . I will pay visit to there since none of my phone calls were taken seriously and hopefully there is some recordings they can listen . Unbelievable!
Regards 

Jaana Markkanen 
050 5527479 

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2710448